#
# spec file for package evince (Version 0.4.0)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           evince
BuildRequires:  ghostscript-fonts-std ghostscript-x11 gnome-doc-utils gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libtiff-devel libwnck-devel mDNSResponder-devel perl-XML-Parser poppler-devel poppler-glib scrollkeeper update-desktop-files
Version:        0.4.0
Release:        25.13.4
Url:            http://www.gnome.org/projects/evince/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        GNOME Document Viewer
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
Source1:        evince-pl.tar.bz2
Patch0:         %{name}-desktop.patch
Patch1:         %{name}-dbus_0.60.patch
Patch2:         evince-CVE-2006-5864.patch 
Patch3:         bug-497331_tiff-render-memory-leak.patch
Patch4:         bug-660555-fix-several-security-issuses-in-dvi.patch
AutoReqProv:    on
Requires:       gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript. For more general
information about Evince, visit the project Web site at
http://www.gnome.org/projects/evince/.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Martin Kretzschmar <m_kretzschmar@gmx.net>
    Marco Pesenti Gritti <marco@gnome.org>
    Jonathan Blandford <jrb@gnome.org>

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
sed -i 's/^\(ALL_LINGUAS=.* \)no /\1/' configure.ac configure
rm po/no.*

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--localstatedir=/var/opt/gnome\
	--libdir=/opt/gnome/%{_lib}\
        --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
make DESTDIR=$RPM_BUILD_ROOT install
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE1}
popd
%find_lang %{name}
%suse_update_desktop_file -N Evince evince

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas
/etc/opt/gnome/gconf/schemas/evince.schemas
/opt/gnome/bin/*
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/evince
/opt/gnome/share/omf/*

%changelog
* Wed Jan  5 2011 fjkong@novell.com
- bug-660555-fix-several-security-issuses-in-dvi.patch (bnc#660555, SWAMPID #38053)
  evince font parser vulnerabilties
  evince DVI file PK font parser memory overwrite vulnerability
  CVE-2010-2640
  evince DVI file VF font parser memory overwrite vulnerability
  CVE-2010-2641
  evince DVI file AFM font parser heap overflow vulnerability
  CVE-2010-2642
  evince DVI file TFM font parser integer overflow vulnerability
  CVE-2010-2643
* Wed Jun 10 2009 gburt@suse.de
- Fix crash-causing memory leak in tiff handling (bnc#497331)
* Mon Mar 24 2008 mauro@suse.de
- Added evince-pl.tar.bz2 to fix bnc#356557
  +Updated polish translation.
* Thu Dec  7 2006 sbrabec@suse.cz
- Fixed buffer overflow in DSC parsing (#225201, CVE-2006-5864).
* Mon Feb 20 2006 thoenig@suse.de
- Backport fix from Evince CVS to honor API changes of D-BUS 0.60
  (closes #151512)
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Wed Nov  9 2005 sbrabec@suse.cz
- Enabled D-BUS support.
- Update desktop file.
* Wed Nov  9 2005 sbrabec@suse.cz
- Show evince in menu (#132746).
* Fri Sep  2 2005 gekker@suse.de
- Update to version 0.4.0
* Thu Aug 18 2005 gekker@suse.de
- Update to version 0.3.4
- Put evince in correct desktop category
* Thu Jul 21 2005 gekker@suse.de
- Update to version 0.3.2
* Tue May 24 2005 sbrabec@suse.cz
- Updated to version 0.3.1.
* Mon May  9 2005 sbrabec@suse.cz
- New SuSE package, version 0.3.0.
